<template>
  <div>
    <div class="layout-content-padding">
      <div class="layout-content-main">
        <el-tabs v-model="activeName" @tab-click="_changeTabs">
          <el-tab-pane label="出库管理" name="out">
           <LmsEquipOutStock ref="labTabs" />
          </el-tab-pane>
          <el-tab-pane label="入库管理" name="in">
<!--            <historyTask ref="hisTabs" />-->
          </el-tab-pane>
          <el-tab-pane label="历史记录" name="his">
            <!--            <historyTask ref="hisTabs" />-->
          </el-tab-pane>
        </el-tabs>
      </div>
    </div>
  </div>
</template>
<script>
import LmsEquipOutStock from './out-stock/LmsEquipOutStock'
export default {
  components: { LmsEquipOutStock },
  data() {
    return {
      activeName: 'out'
    }
  },
  mounted() {
    this.activeName = 'out'
    this._page()
  },
  methods: {
    _changeTabs(tab, event) {
      if (tab.name === 'out') {
        this._page()
      } else {
        // this.$refs.hisTabs._clearPage()
        // this.$refs.hisTabs._page()
      }
    },
    _page() {
      // this.$refs.labTabs._clearPage()
      // this.$refs.labTabs._page()
    }
  }
}
</script>
